The preview image of a link in a note
GET
/api/v1/saga/notes/{id}/links/{linkId}/preview
const url = 'https://api.yggy.tech/api/v1/saga/notes/example/links/example/preview';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.yggy.tech/api/v1/saga/notes/example/links/example/preview \ --header 'Authorization: Bearer <token>'Streamed from the source, never stored. Signed-in session only, so a plain image tag can load it.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
linkId
required
string
Responses
Section titled “ Responses ”The image
Media type image/*
string format: binary
No preview for this link
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}